Search Unity

error while downloading package from Package Manager

Discussion in 'Package Manager' started by SauronDark, Jul 10, 2019.

  1. SauronDark

    SauronDark

    Joined:
    Mar 2, 2017
    Posts:
    13
    i am on Unity 2019.1.7 and using LWRP v5.7.2 for my project, I noticed that LWRP update available (v5.16.1) which is not showing me as update, not sure why but when i try to update this package, this Dangerous looking error appeared on Logs and Package Mgr notified me as Timeout, my internet seems to be working, tried reinstalling package, also cannot install slightly older (v5.13) version and its unlikely possible for me to understand this error.

    second thought, am I NOT supposed to update LWRP package past v5.7.2 on unity 2019.1.x? since package Mgr is hiding this update for a reason?, still any help appreciated to let me understand this error thankyou

    Code (CSharp):
    1. Cannot perform upm operation: connect ETIMEDOUT 35.238.21.138:443 [NotFound]
    2. 0x00007FF7AFBED5EC (Unity) StackWalker::GetCurrentCallstack
    3. 0x00007FF7AFBF0AA1 (Unity) StackWalker::ShowCallstack
    4. 0x00007FF7AE3525B5 (Unity) GetStacktrace
    5. 0x00007FF7B060F8B0 (Unity) DebugStringToFile
    6. 0x00007FF7AFC1C2C9 (Unity) DebugLogHandler_CUSTOM_Internal_Log
    7. 0x00000154CAAC978B (Mono JIT Code) (wrapper managed-to-native) UnityEngine.DebugLogHandler:Internal_Log (UnityEngine.LogType,UnityEngine.LogOption,string,UnityEngine.Object)
    8. 0x00000154CAAC964B (Mono JIT Code) [DebugLogHandler.cs:10] UnityEngine.DebugLogHandler:LogFormat (UnityEngine.LogType,UnityEngine.Object,string,object[])
    9. 0x00000154CAAC8CE1 (Mono JIT Code) [Logger.cs:61] UnityEngine.Logger:Log (UnityEngine.LogType,object)
    10. 0x00000154CAAC894D (Mono JIT Code) [Debug.bindings.cs:127] UnityEngine.Debug:LogError (object)
    11. 0x00000154C9F21F43 (Mono JIT Code) [UpmBaseOperation.cs:198] UnityEditor.PackageManager.UI.UpmBaseOperation:OnError (UnityEditor.PackageManager.Error)
    12. 0x00000154C943EDDB (Mono JIT Code) [UpmBaseOperation.cs:182] UnityEditor.PackageManager.UI.UpmBaseOperation:Progress ()
    13. 0x00000154A526C367 (Mono JIT Code) (wrapper delegate-invoke) <Module>:invoke_void ()
    14. 0x00000154A526C067 (Mono JIT Code) [EditorApplication.cs:200] UnityEditor.EditorApplication:Internal_CallUpdateFunctions ()
    15. 0x000001549673D3F5 (Mono JIT Code) (wrapper runtime-invoke) object:runtime_invoke_void (object,intptr,intptr,intptr)
    16. 0x00007FF84627BBCB (mono-2.0-bdwgc) [mini-runtime.c:2809] mono_jit_runtime_invoke
    17. 0x00007FF846202252 (mono-2.0-bdwgc) [object.c:2919] do_runtime_invoke
    18. 0x00007FF84620B25F (mono-2.0-bdwgc) [object.c:2966] mono_runtime_invoke
    19. 0x00007FF7AFB76F01 (Unity) CallStaticMonoMethod
    20. 0x00007FF7AFB76B01 (Unity) CallStaticMonoMethod
    21. 0x00007FF7AFB76881 (Unity) CallStaticMonoMethod
    22. 0x00007FF7AE0DEE46 (Unity) SceneTracker::Update
    23. 0x00007FF7AE39CF5A (Unity) Application::TickTimer
    24. 0x00007FF7AE65B92B (Unity) MainMessageLoop
    25. 0x00007FF7AE665337 (Unity) WinMain
    26. 0x00007FF7B0FA7E0E (Unity) __scrt_common_main_seh
    27. 0x00007FF8779E7BD4 (KERNEL32) BaseThreadInitThunk
    28. 0x00007FF877F4CE71 (ntdll) RtlUserThreadStart
    29.  
    30.  
     
  2. erick_unity

    erick_unity

    Unity Technologies

    Joined:
    Jan 4, 2017
    Posts:
    30
    Hi @SauronDark, the PackageManager UI will attempt to keep you within the safe zones of packages when possible. In this case, version LWRP 5.7.2 is the verified version of the package for 2019.1, meaning we validated that the package works with this release of the editor. Any version of that package released after 2019.1 has not went through as rigorous a testing cycle, and is therefore not verified for that release.
     
    SauronDark likes this.